## ros-noetic-rqt-py-common 0.5.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_py_common)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)
catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  find_package(genmsg REQUIRED)
  find_package(std_msgs REQUIRED)
  add_message_files(
    DIRECTORY test/msg
    FILES ArrayVal.msg Val.msg
    NOINSTALL
    )
  generate_messages(DEPENDENCIES std_msgs)
endif()

catkin_package()

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== debian/changelog ===
ros-noetic-rqt-py-common (0.5.3-1focal) focal; urgency=high

  * Update maintainers (#233 <https://github.com/ros-visualization/rqt/issues/233>) (#237 <https://github.com/ros-visualization/rqt/issues/237>)
  * Contributors: Michael Jeronimo

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 25 Mar 2022 07:00:00 -0000

ros-noetic-rqt-py-common (0.5.2-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 12 Jun 2020 07:00:00 -0000

ros-noetic-rqt-py-common (0.5.1-1focal) focal; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#219 <https://github.com/ros-visualization/rqt/issues/219>)
  * fix missing import bugs (#139 <https://github.com/ros-visualization/rqt/issues/139>)
  * autopep8 (#137 <https://github.com/ros-visualization/rqt/issues/137>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 10 Mar 2020 07:00:00 -0000

ros-noetic-rqt-py-common (0.5.0-1focal) focal; urgency=high

  * migrated from rqt_common_plugins repo

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 24 Apr 2017 07:00:00 -0000

ros-noetic-rqt-py-common (0.4.7-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 02 Mar 2017 08:00:00 -0000

ros-noetic-rqt-py-common (0.4.6-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 27 Feb 2017 08:00:00 -0000

ros-noetic-rqt-py-common (0.4.5-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 03 Feb 2017 08:00:00 -0000

ros-noetic-rqt-py-common (0.4.4-1focal) focal; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)
  * add helper functions to find a slot inside a message by type

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 24 Jan 2017 08:00:00 -0000

ros-noetic-rqt-py-common (0.4.3-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 02 Nov 2016 07:00:00 -0000

ros-noetic-rqt-py-common (0.4.2-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 19 Sep 2016 07:00:00 -0000

ros-noetic-rqt-py-common (0.4.1-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 16 May 2016 07:00:00 -0000

ros-noetic-rqt-py-common (0.4.0-1focal) focal; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 27 Apr 2016 07:00:00 -0000

ros-noetic-rqt-py-common (0.3.13-1focal) focal; urgency=high

  * added unittest for MessageTreeModel
  * fixed message_tree_model to list individual elements of simple-type array elements
  * fixed topic_completer to handle array subscriptions
  * Contributors: Robert Haschke

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 08 Mar 2016 08:00:00 -0000

ros-noetic-rqt-py-common (0.3.12-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 24 Jul 2015 07:00:00 -0000

ros-noetic-rqt-py-common (0.3.11-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 30 Apr 2015 07:00:00 -0000

ros-noetic-rqt-py-common (0.3.10-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 01 Oct 2014 07:00:00 -0000

ros-noetic-rqt-py-common (0.3.9-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 18 Aug 2014 07:00:00 -0000

ros-noetic-rqt-py-common (0.3.8-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 15 Jul 2014 07:00:00 -0000

ros-noetic-rqt-py-common (0.3.7-1focal) focal; urgency=high

  * improve topic helpers to make more things plottable (#246 <https://github.com/ros-visualization/rqt_common_plugins/issues/246>)
  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 11 Jul 2014 07:00:00 -0000

ros-noetic-rqt-py-common (0.3.6-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 02 Jun 2014 07:00:00 -0000

ros-noetic-rqt-py-common (0.3.5-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 07 May 2014 07:00:00 -0000

ros-noetic-rqt-py-common (0.3.4-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 28 Jan 2014 08:00:00 -0000

ros-noetic-rqt-py-common (0.3.3-1focal) focal; urgency=high

  * fix ui loading of plugin constainer widget

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 08 Jan 2014 08:00:00 -0000

ros-noetic-rqt-py-common (0.3.2-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 14 Oct 2013 07:00:00 -0000

ros-noetic-rqt-py-common (0.3.1-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 09 Oct 2013 07:00:00 -0000

ros-noetic-rqt-py-common (0.3.0-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 28 Aug 2013 07:00:00 -0000

ros-noetic-rqt-py-common (0.2.17-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 04 Jul 2013 07:00:00 -0000

ros-noetic-rqt-py-common (0.2.16-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 09 Apr 2013 20:33:00 -0000

ros-noetic-rqt-py-common (0.2.15-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 09 Apr 2013 07:02:00 -0000

ros-noetic-rqt-py-common (0.2.14-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 14 Mar 2013 07:00:00 -0000

ros-noetic-rqt-py-common (0.2.13-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 12 Mar 2013 05:14:00 -0000

ros-noetic-rqt-py-common (0.2.12-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 11 Mar 2013 20:56:00 -0000



=== debian/control ===
Source: ros-noetic-rqt-py-common
Section: misc
Priority: optional
Maintainer: Dorian Scholz <scholz@sim.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-genmsg, ros-noetic-std-msgs
Homepage: http://ros.org/wiki/rqt_py_common
Standards-Version: 3.9.2

Package: ros-noetic-rqt-py-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-genpy, ros-noetic-python-qt-binding (>= 0.2.19), ros-noetic-qt-gui, ros-noetic-rosbag, ros-noetic-roslib, ros-noetic-rospy, ros-noetic-rostopic
Description: rqt_py_common provides common functionality for rqt plugins written in Python.
 Despite no plugin is provided, this package is part of the rqt_common_plugins repository to keep refactoring generic functionality from these common plugins into this package as easy as possible. Functionality included in this package should cover generic ROS concepts and should not introduce any special dependencies beside &quot;ros_base&quot;.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rqt-py-common//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-rqt-py-common 0.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0.2)
+cmake_minimum_required(VERSION 3.5)
 project(rqt_py_common)
 # Load catkin and all dependencies required for this package
 find_package(catkin REQUIRED)
